Create Purchase Order: Rent Manager

Create Purchase Order: Rent Manager | Method | |---| | POST /PurchaseOrders | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
vendor_idstringRequired
The Propexo unique identifier for the vendor
location_idstringRequired
The Propexo unique identifier for the location
employee_idstringRequired
The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order
descriptionstringRequired
Description of the purchase order
numberstringRequired
The number of the purchase order
order_datestringRequired
The order date for the purchase order
total_amount_in_centsintegerRequired>=0
The total amount of the purchase order
purchase_order_itemslist of objectsRequired
Line items for the purchase order. Each item represents a detail line in Rent Manager.
shipping_address_1stringOptional
The first address line associated with the shipping address for the purchase order
billing_address_1stringOptional
The first address line associated with the billing address for the purchase order

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error